function mcoords=coord_wheel(x,y,thetaw,theta,rw)
    Nwheel=8;
    mcoords=zeros(3,Nwheel*3);
    
    Ma=[cos(thetaw),sin(thetaw),0;-sin(thetaw),cos(thetaw),0;0,0,1];
    Mx=[1,0,0;0,0,-1;0,1,0];
    Mz=[cos(theta),-sin(theta),0;sin(theta),cos(theta),0;0,0,1];

    for n=1:Nwheel
        mcoords(:,(n-1)*3+1)=Mz*Mx*Ma*[0;0;0]+[x;y;rw];
        mcoords(:,(n-1)*3+2)=Mz*Mx*Ma*[rw*cos((n-1)*2*pi/Nwheel);rw*sin((n-1)*2*pi/Nwheel);0]+[x;y;rw];
        mcoords(:,(n-1)*3+3)=Mz*Mx*Ma*[rw*cos((n)*2*pi/Nwheel);rw*sin((n)*2*pi/Nwheel);0]+[x;y;rw];
    end
end