function [X,Y,Z]=remap_coords(mcoords)
    Nwheel=size(mcoords,2)/3;
    X=zeros(3,Nwheel);
    Y=zeros(3,Nwheel);
    Z=zeros(3,Nwheel);
    for n=1:Nwheel
        X(:,n)=mcoords(1,((n-1)*3+1):((n-1)*3+3))';
        Y(:,n)=mcoords(2,((n-1)*3+1):((n-1)*3+3))';
        Z(:,n)=mcoords(3,((n-1)*3+1):((n-1)*3+3))';
    end
end